[blfs-dev] Subversion update for swig

Pierre Labastie pierre.labastie at neuf.fr
Wed Dec 18 12:54:24 PST 2013


Le 18/12/2013 17:12, Bruce Dubbs a écrit :
> Pierre Labastie wrote:
>> Hi,
>>
>> I've ended with the attached patch. I do not want to commit yet, because I
>> feel like I butchered Fernando's work, and I'd like him to agree. What it
>> mainly does:
>> Move swig and python to recommended, so that default instructions build Perl
>> and Python bindings.
> 
> I'm curious why you recommend building the bindings.  I haven't run into 
> any need for them.  Are they useful for the client or just the server?
> 
>    -- Bruce
> 

Actually, I was not satified the way subversion was before. A lot of optional
commands were between <screen><userinput> tags. Thats's why I wrote on
November 17:
"Actually, the subversion instructions suppose that python, ruby, openjdk,
junit and swig are installed.

Among those, I would put swig and python into recommended.

The reason for the first one is the following: it allows to build the perl
bindings, which are mandatory for installing git-svn (as part of git
installation). Git-svn is very useful for mixing subversion and git repositories.

The reason for the second one is that it is heavily used in the tests."

Since nobody objected up to your post, I committed like that. It can be
reverted, I do not strongly care. I propose to do it, and put any command
using only optional deps between <command> rather than <screen><userinput> tags.

Regards
Pierre



More information about the blfs-dev mailing list